/***************************************************************************
    copyright            : (C) 2004 - 2005 by Marcin Szpyrka
    email                : mszpyrka@agh.edu.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "creporteditor.h"
#include <qcanvas.h>



//--------------------------------------------------------------------------
/** Constructs a reporteditor with parent widget \a parent and with
   editor caption \a caption. */

CReportEditor::CReportEditor(QWidget *parent, QString caption) :
   QDockWindow(parent, caption.latin1())
{
   setResizeEnabled(true);
   setCaption(caption);
   setCloseMode(QDockWindow::Always);

   // Create a widget stack layout
   widgetStack = new QWidgetStack(this);
   widgetStack->adjustSize();
   setWidget(widgetStack);
	 
	 reportTextEdit = new QTextEdit(this);
	 reportTextEdit->adjustSize();
	 widgetStack->addWidget(reportTextEdit);
	 
}




