/***************************************************************************
    copyright            : (C) 2004 - 2005 by Marcin Szpyrka
    email                : mszpyrka@agh.edu.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CREPORTEDITOR_H
#define CREPORTEDITOR_H

#include <qdockwindow.h>
#include <qwidgetstack.h>
#include <qtextedit.h> 
#include <qlayout.h>
#include <qstring.h>

/** The CReport class provides a floating report editor. */

class CReportEditor : public QDockWindow
{
	Q_OBJECT
private:
  QWidgetStack*    widgetStack;
  QTextEdit*       reportTextEdit;

public:	
	CReportEditor(QWidget *parent, QString caption);

	/** Destroys the properties editor. */
	~CReportEditor(){}
	
	/** Returns a pointer to the report text editor. */
	QTextEdit* editor(){ return reportTextEdit; }

};



#endif
