/***************************************************************************
    copyright            : (C) 2004 - 2005 by Marcin Szpyrka
    email                : mszpyrka@agh.edu.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CCOVERGRAPH_H
#define CCOVERGRAPH_H

#include "creachgraph.h"
#include "ccoverstate.h"
#include "../model/cnet.h"

class CCoverGraph : public CReachGraph {
protected:
  void createGraphWithoutTime();

public:
  /** Creates a CCoverGraph with data taken from \a cnet. */
  CCoverGraph(CNet* cnet) : CReachGraph(cnet){} 
  
  /** Destroys the CCoverGraph. */
  ~CCoverGraph(){}

  QString graphDescription(); 
  void createGraph();
};


#endif
