TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on debug

HEADERS	+= model/carc.h \
	model/cnet.h \
	model/cnode.h \
	model/cplace.h \
	model/ctransition.h \
	view/cellipse.h \
	view/cellipsewithlabels.h \
	view/clabel.h \
	view/cnetview.h \
	view/crectangle.h \
	view/crectanglewithlabels.h \
	view/celement.h \
	view/cline.h \
	view/clinewithlabels.h \
	view/chandle.h \
	view/csegment.h \
	interface/cpropertieseditor.h \
	interface/ctableitem.h \
	readwrite/cxmlgenerator.h \
	readwrite/cxfigexport.h \
	readwrite/cxmlreader.h \
	analysis/ccovergraph.h \
	analysis/ccoverstate.h \
	analysis/creachgraph.h \
	analysis/cstate.h \
	readwrite/svg/IXMLTagStream.h \
	readwrite/svg/SVGDocument.h \
	readwrite/svg/SVGElement.h \
	readwrite/svg/SVGEllipse.h \
	readwrite/svg/SVGExporter.h \
	readwrite/svg/SVGPolygon.h \
	readwrite/svg/SVGPolyline.h \
	readwrite/svg/SVGRectangle.h \
	readwrite/svg/SVGText.h \
	readwrite/svg/XMLTag.h \
	readwrite/svg/XMLTextWriter.h \
	interface/coptions.h \
	analysis/cfraction.h \
	analysis/cmatrix.h \
	interface/creporteditor.h

SOURCES	+= main.cpp \
	model/cnet.cpp \
	model/cplace.cpp \
	view/cnetview.cpp \
	view/crectangle.cpp \
	view/cellipse.cpp \
	view/cellipsewithlabels.cpp \
	view/clabel.cpp \
	view/crectanglewithlabels.cpp \
	view/cline.cpp \
	view/clinewithlabels.cpp \
	view/chandle.cpp \
	view/csegment.cpp \
	interface/cpropertieseditor.cpp \
	readwrite/cxmlgenerator.cpp \
	readwrite/cxfigexport.cpp \
	readwrite/cxmlreader.cpp \
	analysis/ccovergraph.cpp \
	analysis/ccoverstate.cpp \
	analysis/creachgraph.cpp \
	analysis/cstate.cpp \
	readwrite/svg/SVGExporter.cpp \
	readwrite/svg/XMLTextWriter.cpp \
	analysis/cfraction.cpp \
	analysis/cmatrix.cpp \
	interface/creporteditor.cpp

FORMS	= interface/mainform.ui \
	interface/optionsdialog.ui \
	interface/aboutform.ui

IMAGES	= images/open.png \
	images/save.png \
	images/newproject.png \
	images/undo.png \
	images/redo.png \
	images/cut.png \
	images/paste.png \
	images/copy.png \
	images/place.png \
	images/trans.png \
	images/arc.png \
	images/newpage.png \
	images/left.png \
	images/center.png \
	images/right.png \
	images/top.png \
	images/middle.png \
	images/bottom.png \
	images/interactive.png \
	images/automatic.png \
	images/stop.png \
	images/select.png \
	images/ape.png \
	images/petrinet.png \
	images/clear.png \
	images/configure.png

unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}













































































